| <large>libXpertMassCore and libXpertMassGui Developer Documentation</large>

- libXpertMassGui
- DecimalPlacesOptionsDlg

# MsXpS::libXpertMassGui::DecimalPlacesOptionsDlg Class

class MsXpS::libXpertMassGui::DecimalPlacesOptionsDlg

The DecimalPlacesOptionsDlg class provides a means to configure the number of decimals that numbers should have when printed as text. More...

Header: | `#include <MsXpS/libXpertMassGui/DecimalPlacesOptionsDlg.hpp>`
Inherits: | QDialog

- List of all members, including inherited members
- DecimalPlacesOptionsDlg is part of libXpertMassGui Utilities.

## Public Functions

| DecimalPlacesOptionsDlg()
| DecimalPlacesOptionsDlg(const QString &config_settings_file_path, QWidget *parent = nullptr)
void | updateDecimalPlaces(int atom, int oligo, int poly, int pka_ph)

## Public Slots

void | validate()

## Detailed Description

## Member Function Documentation

### `[invokable]` DecimalPlacesOptionsDlg::DecimalPlacesOptionsDlg()

Constructs a DecimalPlacesOptionsDlg instance.

The values for the various chemical entities are set from global values.

Note: This function can be invoked via the meta-object system and from QML. See Q_INVOKABLE.

### `[invokable]` DecimalPlacesOptionsDlg::DecimalPlacesOptionsDlg(const QString &config_settings_file_path, QWidget *parent = nullptr)

Constructs a DecimalPlacesOptionsDlg instance with config_settings_file_path and setting parent.

If config_settings_file_path points to a valid file, the settings are read from there and set to the the dialog widgets.

Note: This function can be invoked via the meta-object system and from QML. See Q_INVOKABLE.

### `[invokable]` void DecimalPlacesOptionsDlg::updateDecimalPlaces(int atom, int oligo, int poly, int pka_ph)

Updates the decimal places values for atom, oligo, poly and pka_ph.

Note: This function can be invoked via the meta-object system and from QML. See Q_INVOKABLE.

### `[slot]` void DecimalPlacesOptionsDlg::validate()

Validates all the decimal values set in the dialog window control.

The values read from the graphical interface are set to the library global data:

- libXpertMassCore::ATOM_DEC_PLACES
- libXpertMassCore::OLIGOMER_DEC_PLACES
- libXpertMassCore::POLYMER_DEC_PLACES
- libXpertMassCore::PKA_PH_PI_DEC_PLACES